---
inputType: CA10__CaAwsInstance__c
testData:
  - file: test-data.json
conditions:
  - status: COMPLIANT
    currentStateMessage: Test-1
    check:
      UNIT_TEST:
        id: Test-1
        arg:
          NOT:
            arg:
              COLLECTION_CONTAINS:
                arg:
                  COLLECTION:
                    items: []
                search:
                  TEXT: a
  - status: COMPLIANT
    currentStateMessage: Test-2
    check:
      UNIT_TEST:
        id: Test-2
        arg:
          COLLECTION_CONTAINS:
            arg:
              COLLECTION:
                items:
                  - a
            search:
              TEXT: a
  - status: COMPLIANT
    currentStateMessage: Test-3
    check:
      UNIT_TEST:
        id: Test-3
        arg:
          NOT:
            arg:
              COLLECTION_CONTAINS:
                arg:
                  COLLECTION:
                    items:
                      - b
                      - c
                search:
                  TEXT: a
  - status: COMPLIANT
    currentStateMessage: Test-4
    check:
      UNIT_TEST:
        id: Test-4
        arg:
          NOT:
            arg:
              COLLECTION_CONTAINS:
                arg:
                  UNIT_TEST_NULL:
                    returnType: COLLECTION
                search:
                  TEXT: a
  - status: COMPLIANT
    currentStateMessage: Test-5
    check:
      UNIT_TEST:
        id: Test-5
        arg:
          NOT:
            arg:
              COLLECTION_CONTAINS:
                arg:
                  COLLECTION:
                    items:
                      - a
                search:
                  UNIT_TEST_NULL:
                    returnType: TEXT
  - status: COMPLIANT
    currentStateMessage: Test-6
    check:
      UNIT_TEST:
        id: Test-6
        arg:
          COLLECTION_CONTAINS:
            arg:
              COLLECTION:
                items:
                  - " ABC "
            search:
              TEXT: "   abc\n\t"
otherwise:
  status: INCOMPLIANT
  currentStateMessage: Test Failed
  remediationMessage: Developer Fix Required